package shows

import (
	"net/http"

	"github.com/gorilla/mux"
	"gitlab.quimbo.fr/odwrtw/canape-sql/src/internal/web"
)

// GetDetailsHandler retrieves details for a movie
func GetDetailsHandler(env *web.Env, w http.ResponseWriter, r *http.Request) error {
	vars := mux.Vars(r)
	id := vars["id"]

	s := New(id)
	if err := s.GetDetails(env, false); err != nil {
		return err
	}
	if err := s.GetEpisodes(env); err != nil {
		return err
	}

	return env.RenderJSON(w, s)
}
